package com.crm.manager.service;

import com.crm.rely.backend.core.dto.system.remittance.channel.bank.SysChannelBankDto;
import com.crm.rely.backend.core.entity.system.channel.bank.SysChannelBankSaveEntity;
import com.crm.rely.backend.exception.ServiceException;

import java.util.List;

public interface SysChannelBankService {

    void save(String channelCode, List<SysChannelBankSaveEntity> entities) throws ServiceException;

    List<SysChannelBankDto> getByChannelCode(String channelCode) throws ServiceException;

    List<SysChannelBankDto> getByChannelCodes(List<String> channelCodes) throws ServiceException;

    void deleteByChannelCodes(List<String> channelCodes) throws ServiceException;
}
